import request from '../../axios'

export const loginOutApi = () => {
  return request.get({ url: '/api/sys/token/logout' })
}

export const myLogin = (data) => {
  return request.post({ url: '/api/sys/token/login', data })
}

export const getMenuList = (params) => {
  return request.get({ url: '/api/sys/token/getUserMenuTree', params })
}

export const codeLogin = (params) => {
  return request.get({ url: '/api/oauth/loginByCode', params })
}

export const getAuthBtn = (params) => {
  return request.get({ url: '/api/sys/token/getPermissionList', params })
}

export const codeLogout = (params) => {
  return request.get({ url: '/api/oauth/logout', params })
}
